import { jsx } from "react/jsx-runtime";
import { SprayBottleIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SprayBottle = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "SprayBottle", ...props, children: /* @__PURE__ */ jsx(SprayBottleIcon, { weight: variant }) });
  }
);
SprayBottle.displayName = "SprayBottle";
Object.assign(SprayBottle, { isGdsIcon: true });
export {
  SprayBottle
};
